/*  Minibar - minibar.h "app #defines"
    Copyright (C) 2002-2003 Ray Vanderborght (depsypher@users.sf.net)

    This file is part of Minibar.

    Minibar is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Minibar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Minibar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#define prefsVer				1
#define prefsSaved				0
#define appFileCreator			'Mbar'
#define drinkDBType				'Drnk'

#define SHORT_STRING			32
#define MEDIUM_STRING			100
#define LONG_STRING				1000
#define nFILTERS				3
#define UpArrowEnabled			0x01
#define UpArrowDisabled			0x03
#define DownArrowEnabled		0x02
#define DownArrowDisabled		0x04
#define LeftArrowEnabled		0x02
#define LeftArrowDisabled		0x05
#define RightArrowEnabled		0x03
#define RightArrowDisabled		0x06
#define OneQuarterChar			0xBC
#define OneHalfChar				0xBD
#define ThreeQuartersChar		0xBE

#define BartenderBitmap			100
#define BrowseButtonBitmap		101
#define BrowseButtonSelBitmap	102
#define SurpriseButtonBitmap		103
#define SurpriseButtonSelBitmap	104
#define AboutButtonBitmap		105
#define AboutButtonSelBitmap	106
#define InfoButtonBitmap		107
#define InfoButtonSelBitmap		108

#define Alert					200
#define AlertError				201
#define AlertQuestion			202
#define Help					300
#define DoneBtn					400
#define CancelBtn				401
#define UnitsStringTable		500

#define LeftScrollBtn			600
#define RightScrollBtn			601

#define MainForm				1000
#define MainMenu				1001
#define MainHelp				1002
#define MainHelpText			1003
#define MainAbout				1004
#define MainAboutText			1005
#define ViewBtn					1006
#define RandomBtn				1007
#define IntoxiCalcBtn			1008
#define DrinksBtn				1009
#define AboutBtn				1010
#define InfoBtn					1011
#define MainBrowse				1012
#define MainSurprise			1013

#define DrinksForm 				2000
#define DrinksMenu				2001
#define AddDrink				2002
#define EditDrink				2003
#define DeleteDrink				2004
#define DrinksList				2005
#define FilterBtn				2006
#define BrowseHelpText			2007

#define RecipeForm				3000
#define RecipeField				3001
#define RecipeScroll			3002

#define FilterForm				4000
#define FilterHelp				4001
#define FilterIndicatorLabel	4002
#define FilterTypeCheckbox		4003
#define FilterTypeLabel			4004
#define FilterActionOffPB		4005
#define FilterActionGroup		4006
#define FilterActionInclude		4007
#define FilterActionExclude		4008
#define FilterDrinkPB			4009
#define FilterIngredientPB		4010
#define FilterTargetGroup		4011
//#define FilterIngredientPopup	4012
#define FilterIngredientList	4013
#define FilterDescriptorPopup	4014
#define FilterDescriptorList	4025

#define AddDrinkForm			6000
#define AddDrinkMenu			6001
#define AddIngredient			6002
#define DrinkNameField			6003
#define IngredientList			6004
#define AddBtn					6005
#define RemoveBtn				6006
#define UpBtn					6007
#define DownBtn					6008
#define DirectionsField			6009
#define DirectionsScroll		6010
#define DrinkDescriptBtn		6011

#define AddIngredientForm		7000
#define AddIngredientMenu		7001
#define AddIngredientHelp		7002
#define NewIngredient			7003
#define NewDescriptor			7004
#define IngredientSelectList	7005
#define IngredientDescriptBtn	7006
#define WholeAmountBtn			7007
#define FractionalAmountBtn		7008
#define AmountGroup				7009
#define UpScrollBtn				7010
#define DownScrollBtn			7011
#define UnitsPopup				7012
#define UnitsList				7013
#define DescriptorOptionsPopup	7014
#define DescriptorOptionsList	7015

#define AddDescriptorForm		8000
#define AddDescriptorHelp		8001
#define DescriptorList			8002
#define NewBtn					8003

#define GetStringForm			9000
#define GetStringField			9001

// EOF
