/*  Minibar - globals.c "global variable declarations"
    Copyright (C) 2002-2003 Ray Vanderborght (depsypher@users.sf.net)
    
    This file is part of Minibar.

    Minibar is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    Minibar is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Minibar; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include <PalmOS.h>
#include "protos.h"
#include "minibar.h"

UInt16			gPreviousForm;
DmOpenRef		gDrinkDB;
IngredientType	gIngredient;
DrinkType		gDrink;
FilterPtr		*gFilterSettings;
StringArrayType	gDrinkDescriptors;
StringArrayType gIngredientDescriptors;
StringArrayType gIngredients;
char			*gsNone;
char			*gsFilterTitle;
UInt16			gnBrowseDrinks;
char			**gpsBrowseDrinks;
UInt16			*gpnBrowseDrinkIndices;
UInt8			gnCurrentFilter;
Boolean			gUpdateDrinkList;

// EOF
